Skip to main content
`Ctrl`+`K`

# DSViewMat

Prints one of the internal `DS` matrices.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSViewMat(DS ds,PetscViewer viewer,DSMatType m)

Collective

## Input Parameters

- ds - the direct solver context

- viewer - visualization context

- m - matrix to display

## Note

Works only for `ascii` viewers. Set the viewer to Matlab format if you want to paste the output into Matlab.

## See Also

DS: Direct Solver (or Dense System), `DSView()`

## Level

developer

## Location

src/sys/classes/ds/interface/dspriv.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages